## com.lowagie.text.rtf
Class AbstractRtfField

    java.lang.Object
      com.lowagie.text.Chunk
          com.lowagie.text.rtf.AbstractRtfField

All Implemented Interfaces:
  Element, MarkupAttributes, RtfField

Direct Known Subclasses:
  GenericRtfField

Deprecated. Please move to the RtfWriter2 and associated classes.

    abstract class AbstractRtfField

extends Chunk
implements RtfField

This class implements an abstract RtfField. This class is based on the RtfWriter-package from Mark Hall. ONLY FOR USE WITH THE RtfWriter NOT with the RtfWriter2.

Since:
  Mon Aug 19 14:50:39 2002
Version:
  $Id: AbstractRtfField.java,v 1.18 2006/09/12 13:12:53 blowagie Exp $
Author:
  Dirk Weigenand (Dirk.Weigenand@smb-tec.com)

Field Summary
`private static byte[]` `fldAlt` Deprecated.
`private static byte[]` `fldDirty` Deprecated.
`private static byte[]` `fldEdit` Deprecated.
`private static byte[]` `fldLock` Deprecated.
`private static byte[]` `fldPriv` Deprecated.
`private boolean` `rtfFieldIsAlt` Deprecated. Determines whether this RtfField shall refer to an end note.
`private boolean` `rtfFieldIsDirty` Deprecated. Determines whether a formatting change has been made since the field was last updated.
`private boolean` `rtfFieldIsLocked` Deprecated. Determines whether this RtfField is locked, i.e.
`private boolean` `rtfFieldIsPrivate` Deprecated. Determines whether the field is in suitable form for display.
`private boolean` `rtfFieldWasEdited` Deprecated. Determines whether text has been added, removed from thre field result since the field was last updated.

Fields inherited from class com.lowagie.text.Chunk
`ACTION, attributes, BACKGROUND, COLOR, content, ENCODING, font, GENERICTAG, HSCALE, HYPHENATION, IMAGE, LOCALDESTINATION, LOCALGOTO, markupAttributes, NEWLINE, NEWPAGE, NEXTPAGE, OBJECT_REPLACEMENT_CHARACTER, PDFANNOTATION, REMOTEGOTO, SKEW, SPLITCHARACTER, SUBSUPSCRIPT, TEXTRENDERMODE, UNDERLINE`

Constructor Summary
`AbstractRtfField(java.lang.String content, Font font)` Deprecated. public constructor

Method Summary
`java.lang.String` `content()` Deprecated. empty implementation for Chunk.
`boolean` `isAlt()` Deprecated. Determines whether this RtfField shall refer to an end note.
`boolean` `isDirty()` Deprecated. Determines whether the field was changed since the field was last updated
`boolean` `isLocked()` Deprecated. Determines whtether the field is locked, i.e.
`boolean` `isPrivate()` Deprecated. Determines whether the field is in suitable form for display.
`void` `setAlt(boolean rtfFieldIsAlt)` Deprecated. Determines whether this RtfField shall refer to an end note.
`void` `setDirty(boolean rtfFieldIsDirty)` Deprecated. Set whether a formatting change has been made since the field was last updated
`void` `setEdited(boolean rtfFieldWasEdited)` Deprecated. Set whether text has been added, removed from thre field result since the field was last updated.
`void` `setLocked(boolean rtfFieldIsLocked)` Deprecated. Set whether the field can be updated.
`void` `setPrivate(boolean rtfFieldIsPrivate)` Deprecated. Set whether the field is in suitable form for display.
`boolean` `wasEdited()` Deprecated. Determines whether text has been added, removed from the field result since the field was last updated.
`void` `write(RtfWriter writer, java.io.OutputStream out)` Deprecated. For Interface RtfField.
`protected void` `writeRtfFieldBegin(java.io.OutputStream out)` Deprecated. Write the beginning of an RtfField to the OutputStream.
`protected void` `writeRtfFieldEnd(java.io.OutputStream out)` Deprecated. Close the RtfField.
`abstract void` `writeRtfFieldInitializationStuff(java.io.OutputStream out)` Deprecated. Abstract method for writing custom stuff to the Field Initialization Stuff part of an RtfField.
`protected void` `writeRtfFieldInstBegin(java.io.OutputStream out)` Deprecated. Write RtfField Initialization Stuff to OutputStream.
`protected void` `writeRtfFieldInstEnd(java.io.OutputStream out)` Deprecated. Write end of RtfField Initialization Stuff to OutputStream.
`protected void` `writeRtfFieldModifiers(java.io.OutputStream out)` Deprecated. Write the modifiers defined for a RtfField to the OutputStream.
`protected void` `writeRtfFieldResultBegin(java.io.OutputStream out)` Deprecated. Write beginning of RtfField Result to OutputStream.
`protected void` `writeRtfFieldResultEnd(java.io.OutputStream out)` Deprecated. Write end of RtfField Result to OutputStream.
`abstract void` `writeRtfFieldResultStuff(java.io.OutputStream out)` Deprecated. Abstract method for writing custom stuff to the Field Result part of an RtfField.

Methods inherited from class com.lowagie.text.Chunk

`addToArray, append, font, getAttributes, getChunks, getHorizontalScaling, getImage, getKeySet, getMarkupAttribute, getMarkupAttributeNames, getMarkupAttributes, getTextRise, getWidthPoint, hasAttributes, isEmpty, isTag, process, setAction, setAnchor, setAnchor, setAnnotation, setBackground, setBackground, setFont, setGenericTag, setHorizontalScaling, setHyphenation, setLocalDestination, setLocalGoto, setMarkupAttribute, setMarkupAttributes, setNewPage, setRemoteGoto, setRemoteGoto, setSkew, setSplitCharacter, setTextRenderMode, setTextRise, setUnderline, setUnderline, toString, type`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### fldDirty

    private static final byte[] fldDirty

  Deprecated.

### fldPriv

    private static final byte[] fldPriv

  Deprecated.

### fldLock

    private static final byte[] fldLock

  Deprecated.

### fldEdit

    private static final byte[] fldEdit

  Deprecated.

### fldAlt

    private static final byte[] fldAlt

  Deprecated.

### rtfFieldIsLocked

    private boolean rtfFieldIsLocked

  Deprecated.
  Determines whether this RtfField is locked, i.e. it cannot be updated. Defaults to `false`.

### rtfFieldIsDirty

    private boolean rtfFieldIsDirty

  Deprecated.
  Determines whether a formatting change has been made since the field was last updated. Defaults to `false`.

### rtfFieldWasEdited

    private boolean rtfFieldWasEdited

  Deprecated.
  Determines whether text has been added, removed from thre field result since the field was last updated. Defaults to `false`.

### rtfFieldIsPrivate

    private boolean rtfFieldIsPrivate

  Deprecated.
  Determines whether the field is in suitable form for display. Defaults to `false`.

### rtfFieldIsAlt

    private boolean rtfFieldIsAlt

  Deprecated.
  Determines whether this RtfField shall refer to an end note.

Constructor Detail

### AbstractRtfField

    public AbstractRtfField(java.lang.String content,
                            Font font)

  Deprecated.
  public constructor

  Parameters:
    `content` - the content of the field
    `font` - the font of the field

Method Detail

### isLocked

    public final boolean isLocked()

  Deprecated.
  Determines whtether the field is locked, i.e. it cannot be updated.

  Returns:
    `true` iff the field cannot be updated, `false` otherwise.

### setLocked

    public final void setLocked(boolean rtfFieldIsLocked)

  Deprecated.
  Set whether the field can be updated.

  Parameters:
    `rtfFieldIsLocked` - `true` if the field cannot be updated, `false` otherwise.

### setDirty

    public final void setDirty(boolean rtfFieldIsDirty)

  Deprecated.
  Set whether a formatting change has been made since the field was last updated

  Parameters:
    `rtfFieldIsDirty` - `true` if the field was changed since the field was last updated, `false` otherwise.

### isDirty

    public final boolean isDirty()

  Deprecated.
  Determines whether the field was changed since the field was last updated

  Returns:
    `true` if the field was changed since the field was last updated, `false` otherwise.

### setEdited

    public final void setEdited(boolean rtfFieldWasEdited)

  Deprecated.
  Set whether text has been added, removed from thre field result since the field was last updated.

  Parameters:
    `rtfFieldWasEdited` - Determines whether text has been added, removed from the field result since the field was last updated (`true`, `false` otherwise..

### wasEdited

    public final boolean wasEdited()

  Deprecated.
  Determines whether text has been added, removed from the field result since the field was last updated.

  Returns:
    rtfFieldWasEdited `true` if text has been added, removed from the field result since the field was last updated, `false` otherwise.

### setPrivate

    public final void setPrivate(boolean rtfFieldIsPrivate)

  Deprecated.
  Set whether the field is in suitable form for display. I.e. it's not a field with a picture as field result

  Parameters:
    `rtfFieldIsPrivate` - Determines whether the field is in suitable form for display: `true` it can be displayed, `false` it cannot be displayed.

### isPrivate

    public final boolean isPrivate()

  Deprecated.
  Determines whether the field is in suitable form for display.

  Returns:
    whether the field is in suitable form for display: `true` yes, `false` no it cannot be displayed.

### writeRtfFieldInitializationStuff

    public abstract void writeRtfFieldInitializationStuff(java.io.OutputStream out)
                                                   throws java.io.IOException

  Deprecated.
  Abstract method for writing custom stuff to the Field Initialization Stuff part of an RtfField.

  Parameters:
    `out` -
  Throws:
    `java.io.IOException`

### writeRtfFieldResultStuff

    public abstract void writeRtfFieldResultStuff(java.io.OutputStream out)
                                           throws java.io.IOException

  Deprecated.
  Abstract method for writing custom stuff to the Field Result part of an RtfField.

  Parameters:
    `out` -
  Throws:
    `java.io.IOException`

### setAlt

    public final void setAlt(boolean rtfFieldIsAlt)

  Deprecated.
  Determines whether this RtfField shall refer to an end note.

  Parameters:
    `rtfFieldIsAlt` - `true` if this RtfField shall refer to an end note, `false` otherwise

### isAlt

    public final boolean isAlt()

  Deprecated.
  Determines whether this RtfField shall refer to an end note.

  Returns:
    `true` if this RtfField shall refer to an end note, `false` otherwise.

### content

    public final java.lang.String content()

  Deprecated.
  empty implementation for Chunk.

  Overrides:
    `content` in class `Chunk`
  Returns:
    an empty string

### write

    public void write(RtfWriter writer,
                      java.io.OutputStream out)
               throws java.io.IOException

  Deprecated.
  For Interface RtfField.

  Specified by:
    `write` in interface `RtfField`
  Parameters:
    `writer` -
    `out` -
  Throws:
    `java.io.IOException`

### writeRtfFieldBegin

    protected final void writeRtfFieldBegin(java.io.OutputStream out)
                                     throws java.io.IOException

  Deprecated.
  Write the beginning of an RtfField to the OutputStream.

  Parameters:
    `out` -
  Throws:
    `java.io.IOException`

### writeRtfFieldModifiers

    protected final void writeRtfFieldModifiers(java.io.OutputStream out)
                                         throws java.io.IOException

  Deprecated.
  Write the modifiers defined for a RtfField to the OutputStream.

  Parameters:
    `out` -
  Throws:
    `java.io.IOException`

### writeRtfFieldInstBegin

    protected final void writeRtfFieldInstBegin(java.io.OutputStream out)
                                         throws java.io.IOException

  Deprecated.
  Write RtfField Initialization Stuff to OutputStream.

  Parameters:
    `out` -
  Throws:
    `java.io.IOException`

### writeRtfFieldInstEnd

    protected final void writeRtfFieldInstEnd(java.io.OutputStream out)
                                       throws java.io.IOException

  Deprecated.
  Write end of RtfField Initialization Stuff to OutputStream.

  Parameters:
    `out` -
  Throws:
    `java.io.IOException`

### writeRtfFieldResultBegin

    protected final void writeRtfFieldResultBegin(java.io.OutputStream out)
                                           throws java.io.IOException

  Deprecated.
  Write beginning of RtfField Result to OutputStream.

  Parameters:
    `out` -
  Throws:
    `java.io.IOException`

### writeRtfFieldResultEnd

    protected final void writeRtfFieldResultEnd(java.io.OutputStream out)
                                         throws java.io.IOException

  Deprecated.
  Write end of RtfField Result to OutputStream.

  Parameters:
    `out` -
  Throws:
    `java.io.IOException`

### writeRtfFieldEnd

    protected final void writeRtfFieldEnd(java.io.OutputStream out)
                                   throws java.io.IOException

  Deprecated.
  Close the RtfField.

  Parameters:
    `out` -
  Throws:
    `java.io.IOException`